/*
dttools is Copyright (C) 2002 Douglas Thain
This software is released under the GNU General Public License.
See the file COPYING for details.
*/


#ifndef SOUND_H
#define SOUND_H

#define SOUND_ENCODING_LINEAR 0
#define SOUND_ENCODING_ULAW 1
#define SOUND_ENCODING_ALAW 2
#define SOUND_ENCODING_ADPCM 3
#define SOUND_ENCODING_MPEG 4

struct sound_config {
	int encoding;
	int bits_per_sample;
	int samples_per_second;
};

int sound_open( struct sound_config *config );
int sound_record( int fd, void *data, int length );
int sound_play( int fd, const void *data, int length );
int sound_flush( int fd );
int sound_close( int fd );

#endif
